package com.taauav.front.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigInteger;
import java.util.Date;

/**
 * 指挥大屏 - 问题清单 请求实体类
 *
 * @author daixiantong
 * @date 2020-05-20
 */
@Data
public class IndexQuestionDto {

    /**
     * 巡检时间（开始）
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 巡检时间（结束）
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 区属id
     */
    private BigInteger driverArea;

    /**
     * 河湖id
     */
    private Integer driverId;

    /**
     * 处理状态值
     */
    private Integer status;
}
